---
tests:
  - TCPStream1_1024:
    parallelism: 1
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 1024

  - TCPStream1_64:
    parallelism: 1
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 64

  - TCPStream1_16384:
    parallelism: 1
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 16384
  
  - TCPStream2_64:
    parallelism: 2
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 64

  - TCPStream2_1024:
    parallelism: 2
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 1024

  - TCPStream2_16384: 
    parallelism: 2
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 16384

  - TCPStream4_64:
    parallelism: 4
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 64

  - TCPStream4_1024:
    parallelism: 4
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 1024

  - TCPStream4_16384:
    parallelism: 4
    profile: "TCP_STREAM"
    duration: 60
    samples: 5
    messagesize: 16384 
